Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 449637 - FTBFS ekg2-0.2-0.1.rc1.fc10
Summary: FTBFS ekg2-0.2-0.1.rc1.fc10
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: ekg2
Version: rawhide
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Dominik 'Rathann' Mierzejewski
QA Contact: Fedora Extras Quality Assurance
URL: http://linux.dell.com/files/fedora/Fi...
Whiteboard:
Depends On:
Blocks: FTBFS
TreeView+ depends on / blocked
 
Reported: 2008-06-02 22:04 UTC by FTBFS
Modified: 2008-07-12 13:39 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-12 13:39:13 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
root.log.bz2 (deleted)
2008-06-02 22:05 UTC, FTBFS
no flags Details
build.log.bz2 (deleted)
2008-06-02 22:05 UTC, FTBFS
no flags Details
root.log.bz2 (deleted)
2008-06-02 22:05 UTC, FTBFS
no flags Details
build.log.bz2 (deleted)
2008-06-02 22:05 UTC, FTBFS
no flags Details

Description FTBFS 2008-06-02 22:04:56 UTC
ekg2-0.2-0.1.rc1.fc10.src.rpm Failed To Build From Source against the rawhide tree.  See http://fedoraproject.org/wiki/FTBFS for more information.

Comment 1 FTBFS 2008-06-02 22:05:20 UTC
Created attachment 308070 [details]
root.log.bz2

root.log for i386

Comment 2 FTBFS 2008-06-02 22:05:32 UTC
Created attachment 308071 [details]
build.log.bz2

build.log for i386

Comment 3 FTBFS 2008-06-02 22:05:44 UTC
Created attachment 308072 [details]
root.log.bz2

root.log for x86_64

Comment 4 FTBFS 2008-06-02 22:05:52 UTC
Created attachment 308073 [details]
build.log.bz2

build.log for x86_64

Comment 5 Alex Lancaster 2008-07-11 11:55:26 UTC
Current rawhide ekg2-0.2-0.2.rc1.fc10 still doesn't build:

 gcc -DHAVE_CONFIG_H -I. -I../.. -DDATADIR=\"/usr/share/ekg2\"
-fvisibility=hidden -I/usr/include/gtk-2.0 -I/usr/lib64/gtk-2.0/include
-I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0
-I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/freetype2
-O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector
--param=ssp-buffer-size=4 -m64 -mtune=generic -Wall -std=c99 -MT
gtk_la-maingui.lo -MD -MP -MF .deps/gtk_la-maingui.Tpo -c maingui.c  -fPIC -DPIC
-o .libs/gtk_la-maingui.o
In file included from maingui.c:77:
xtext.h:243: error: expected '=', ',', ';', 'asm' or '__attribute__' before
'gtk_xtext_get_type'
maingui.c:233:2:


see:

http://koji.fedoraproject.org/koji/taskinfo?taskID=709750

It's also causing broken deps in rawhide, due to the soname bump of gnutls:

Broken deps for i386
----------------------------------------------------------
	ekg2-jabber-0.2-0.1.rc1.fc10.i386 requires libgnutls.so.13(GNUTLS_1_3)
	ekg2-jabber-0.2-0.1.rc1.fc10.i386 requires libgnutls.so.13

Comment 6 Dominik 'Rathann' Mierzejewski 2008-07-12 13:39:13 UTC
Fixed.

http://koji.fedoraproject.org/koji/buildinfo?buildID=55802


Note You need to log in before you can comment on or make changes to this bug.